Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class StoredProcedureCall

`java.lang.Object
DatabaseCall
oracle.toplink.queryframework.StoredProcedureCall`

Direct Known Subclasses:
  StoredFunctionCall

public class StoredProcedureCall
extends DatabaseCall

Purpose: Used to define a platform independent procedure call. This supports output parameters. Procedures can also be called through custom SQL.

See Also:
  Serialized Form

Constructor Summary
`StoredProcedureCall()`

Method Summary
`void` | `addNamedArgument(java.lang.String procedureParameterAndArgumentFieldName)` PUBLIC: Define the argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName)` PUBLIC: Define the argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedArgumentValue(java.lang.String procedureParameterName, java.lang.Object argumentValue)` PUBLIC: Define the argument to the stored procedure and the value to be substitute for it.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterAndArgumentFieldName)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterName, java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterName, java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, int type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgument(java.lang.String procedureParameterName, java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, int type, java.lang.String typeName)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedInOutputArgumentValue(java.lang.String procedureParameterName, java.lang.Object inArgumentValue, java.lang.String outArgumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addNamedOutputArgument(java.lang.String procedureParameterAndArgumentFieldName)` PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName)` PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName, java.lang.Class type)` PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName, int type)` PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addNamedOutputArgument(java.lang.String procedureParameterName, java.lang.String argumentFieldName, int type, java.lang.String typeName)` PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it.
`void` | `addUnamedArgument(java.lang.String argumentFieldName)` PUBLIC: Define the field/argument name to be substitute for the index argument.
`void` | `addUnamedArgumentValue(java.lang.Object argumentValue)` PUBLIC: Define the argument to the stored procedure for the index argument.
`void` | `addUnamedInOutputArgument(java.lang.String argumentFieldName)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedInOutputArgument(java.lang.String argumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedInOutputArgument(java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedInOutputArgument(java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, int type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedInOutputArgument(java.lang.String inArgumentFieldName, java.lang.String outArgumentFieldName, int type, java.lang.String typeName)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedInOutputArgumentValue(java.lang.Object inArgumentValue, java.lang.String outArgumentFieldName, java.lang.Class type)` PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out.
`void` | `addUnamedOutputArgument(java.lang.String argumentFieldName)` PUBLIC: Define the field/argument name to be substitute for the index output argument.
`void` | `addUnamedOutputArgument(java.lang.String argumentFieldName, java.lang.Class type)` PUBLIC: Define the field/argument name to be substitute for the index output argument.
`void` | `addUnamedOutputArgument(java.lang.String argumentFieldName, int type)` PUBLIC: Define the field/argument name to be substitute for the index output argument.
`void` | `addUnamedOutputArgument(java.lang.String argumentFieldName, int type, java.lang.String typeName)` PUBLIC: Define the field/argument name to be substitute for the index output argument.
`java.lang.String` | `getProcedureName()` PUBLIC: Return the name of the store procedure on the database.
`boolean` | `isStoredProcedureCall()`
`void` | `setProcedureName(java.lang.String procedureName)` PUBLIC: (REQUIRED) Set the name of the store procedure on the database.
`java.lang.String` | `toString()`
`void` | `useNamedCursorOutputAsResultSet(java.lang.String argumentName)` PUBLIC: Used for Oracle result sets through procedures.
`void` | `useUnnamedCursorOutputAsResultSet()` PUBLIC: Used for Oracle result sets through procedures.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoredProcedureCall

    public StoredProcedureCall()

Method Detail

### addNamedArgument

    public void addNamedArgument(java.lang.String procedureParameterAndArgumentFieldName)

  PUBLIC: Define the argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterAndArgumentFieldName is the name of the procedure argument expected, and is the field or argument name to be used to pass to the procedure. These names are assumed to be the same, if not this method can be called with two arguments.

### addNamedArgument

    public void addNamedArgument(java.lang.String procedureParameterName,
                                 java.lang.String argumentFieldName)

  PUBLIC: Define the argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure. If these names are the same (as they normally are) this method can be called with a single argument.

### addNamedArgumentValue

    public void addNamedArgumentValue(java.lang.String procedureParameterName,
                                      java.lang.Object argumentValue)

  PUBLIC: Define the argument to the stored procedure and the value to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentValue is the value of the argument to be used to pass to the procedure.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterAndArgumentFieldName)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterAndArgumentFieldName is the name of the procedure argument expected, the field or argument name to be used to pass to the procedure and, the field or argument name to be used is the result of the output row.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterName,
                                         java.lang.String argumentFieldName)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure and is the result of the output row.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterName,
                                         java.lang.String argumentFieldName,
                                         java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure and is the result of the output row. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterName,
                                         java.lang.String inArgumentFieldName,
                                         java.lang.String outArgumentFieldName,
                                         java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field or argument name to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterName,
                                         java.lang.String inArgumentFieldName,
                                         java.lang.String outArgumentFieldName,
                                         int type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field or argument name to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this dependent on the type returned from the procedure.

### addNamedInOutputArgument

    public void addNamedInOutputArgument(java.lang.String procedureParameterName,
                                         java.lang.String inArgumentFieldName,
                                         java.lang.String outArgumentFieldName,
                                         int type,
                                         java.lang.String typeName)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field or argument name to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this dependent on the type returned from the procedure. The typeName is the JDBC type name, this may be required for ARRAY or STRUCT types.

### addNamedInOutputArgumentValue

    public void addNamedInOutputArgumentValue(java.lang.String procedureParameterName,
                                              java.lang.Object inArgumentValue,
                                              java.lang.String outArgumentFieldName,
                                              java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentValue is the value of the argument to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addNamedOutputArgument

    public void addNamedOutputArgument(java.lang.String procedureParameterAndArgumentFieldName)

  PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterAndArgumentFieldName is the name of the procedure argument expected, and is the field or argument name to be used to pass to the procedure. These names are assumed to be the same, if not this method can be called with two arguments.

### addNamedOutputArgument

    public void addNamedOutputArgument(java.lang.String procedureParameterName,
                                       java.lang.String argumentFieldName)

  PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure. If these names are the same (as they normally are) this method can be called with a single argument.

### addNamedOutputArgument

    public void addNamedOutputArgument(java.lang.String procedureParameterName,
                                       java.lang.String argumentFieldName,
                                       java.lang.Class type)

  PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure. If these names are the same (as they normally are) this method can be called with a single argument. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addNamedOutputArgument

    public void addNamedOutputArgument(java.lang.String procedureParameterName,
                                       java.lang.String argumentFieldName,
                                       int type)

  PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this is dependent on the type returned from the procedure.

### addNamedOutputArgument

    public void addNamedOutputArgument(java.lang.String procedureParameterName,
                                       java.lang.String argumentFieldName,
                                       int type,
                                       java.lang.String typeName)

  PUBLIC: Define the output argument to the stored procedure and the field/argument name to be substitute for it. The procedureParameterName is the name of the procedure argument expected. The argumentFieldName is the field or argument name to be used to pass to the procedure. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this is dependent on the type returned from the procedure. The typeName is the JDBC type name, this may be required for ARRAY or STRUCT types.

### addUnamedArgument

    public void addUnamedArgument(java.lang.String argumentFieldName)

  PUBLIC: Define the field/argument name to be substitute for the index argument. This method is used if the procedure is not named and the order is explict, names must be added in the correct order. The argumentFieldName is the field or argument name to be used to pass to the procedure.

### addUnamedArgumentValue

    public void addUnamedArgumentValue(java.lang.Object argumentValue)

  PUBLIC: Define the argument to the stored procedure for the index argument. This method is used if the procedure is not named and the order is explict, arguments must be added in the correct order. The argumentValue is the value of the argument to be used to pass to the procedure.

### addUnamedInOutputArgument

    public void addUnamedInOutputArgument(java.lang.String inArgumentFieldName,
                                          java.lang.String outArgumentFieldName,
                                          java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field name of the argument to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addUnamedInOutputArgument

    public void addUnamedInOutputArgument(java.lang.String inArgumentFieldName,
                                          java.lang.String outArgumentFieldName,
                                          int type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field name of the argument to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this is dependent on the type returned from the procedure.

### addUnamedInOutputArgument

    public void addUnamedInOutputArgument(java.lang.String inArgumentFieldName,
                                          java.lang.String outArgumentFieldName,
                                          int type,
                                          java.lang.String typeName)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentFieldName is the field name of the argument to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the JDBC type code, this is dependent on the type returned from the procedure. The typeName is the JDBC type name, this may be required for ARRAY or STRUCT types.

### addUnamedInOutputArgument

    public void addUnamedInOutputArgument(java.lang.String argumentFieldName,
                                          java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The argumentFieldName is the field name of the argument to be used to pass to the procedure and to be used is the result of the output row. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addUnamedInOutputArgument

    public void addUnamedInOutputArgument(java.lang.String argumentFieldName)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The argumentFieldName is the field name of the argument to be used to pass to the procedure and to be used is the result of the output row.

### addUnamedInOutputArgumentValue

    public void addUnamedInOutputArgumentValue(java.lang.Object inArgumentValue,
                                               java.lang.String outArgumentFieldName,
                                               java.lang.Class type)

  PUBLIC: Define the inoutput argument to the stored procedure and the field/argument name to be substitute for it on the way in and out. The procedureParameterName is the name of the procedure argument expected. The inArgumentValue is the value of the argument to be used to pass to the procedure. The outArgumentFieldName is the field or argument name to be used is the result of the output row. If these names are the same (as they normally are) this method can be called with a single argument. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addUnamedOutputArgument

    public void addUnamedOutputArgument(java.lang.String argumentFieldName)

  PUBLIC: Define the field/argument name to be substitute for the index output argument. This method is used if the procedure is not named and the order is explict, names must be added in the correct order. The argumentFieldName is the field or argument name to be used to pass to the procedure. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addUnamedOutputArgument

    public void addUnamedOutputArgument(java.lang.String argumentFieldName,
                                        java.lang.Class type)

  PUBLIC: Define the field/argument name to be substitute for the index output argument. This method is used if the procedure is not named and the order is explict, names must be added in the correct order. The argumentFieldName is the field or argument name to be used to pass to the procedure. The type is the type of Java class desired back from the procedure, this is dependent on the type returned from the procedure.

### addUnamedOutputArgument

    public void addUnamedOutputArgument(java.lang.String argumentFieldName,
                                        int type)

  PUBLIC: Define the field/argument name to be substitute for the index output argument. This method is used if the procedure is not named and the order is explict, names must be added in the correct order. The argumentFieldName is the field or argument name to be used to pass to the procedure. The type is the JDBC type code, this is dependent on the type returned from the procedure.

### addUnamedOutputArgument

    public void addUnamedOutputArgument(java.lang.String argumentFieldName,
                                        int type,
                                        java.lang.String typeName)

  PUBLIC: Define the field/argument name to be substitute for the index output argument. This method is used if the procedure is not named and the order is explict, names must be added in the correct order. The argumentFieldName is the field or argument name to be used to pass to the procedure. The type is the JDBC type code, this is dependent on the type returned from the procedure. The typeName is the JDBC type name, this may be required for ARRAY or STRUCT types.

### getProcedureName

    public java.lang.String getProcedureName()

  PUBLIC: Return the name of the store procedure on the database.

### isStoredProcedureCall

    public boolean isStoredProcedureCall()

### setProcedureName

    public void setProcedureName(java.lang.String procedureName)

  PUBLIC: (REQUIRED) Set the name of the store procedure on the database.

### toString

    public java.lang.String toString()

### useNamedCursorOutputAsResultSet

    public void useNamedCursorOutputAsResultSet(java.lang.String argumentName)

  PUBLIC: Used for Oracle result sets through procedures. This can only be used if the arguments are not named but ordered.

### useUnnamedCursorOutputAsResultSet

    public void useUnnamedCursorOutputAsResultSet()

  PUBLIC: Used for Oracle result sets through procedures. This can only be used if the arguments are not named but ordered.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD